# gcp::IconDesc Struct Reference

`#include <application.h>`

List of all members.

## Public Attributes

char const * | name
unsigned char const * | data_24

## Detailed Description

Structure to use as icon descriptors for tools. See gcp::Application::AddActions() for information about its use.

Definition at line 54 of file gcp/application.h.

## Member Data Documentation

char const* gcp::IconDesc::name

The name of the icon.

Definition at line 59 of file gcp/application.h.

unsigned char const* gcp::IconDesc::data_24

The icon as in line bytes.

Definition at line 63 of file gcp/application.h.

The documentation for this struct was generated from the following file:

- gcp/application.h